## Class GpickleThread

    java.lang.Object
      |
      +--Gpickle
            |
            +--GpickleThread

All Implemented Interfaces:
  java.lang.Runnable

public class GpickleThread
extends Gpickle
implements java.lang.Runnable

Thread calls Gpickle asking for a page this tread will send the BufferedImage to the registered PickleObserver

Version:
  $Revision: 1552 $
Author:
  Stefan Kemper

Method Summary
`boolean` `busy()`
`void` `run()` threads must run, this one runs the process in Gpickle sends generated page to observer.
`void` `startProduction(int pageNumber)` if not generating then start generated requested page if already generating remember last request and return

Methods inherited from class Gpickle
`getImgHeight, getImgWidth, getPrinterOutputPage, getPrinterPageCount, getResX, getResY, getRTL, getTextAlpha, main, setDeviceOptions, setJob, setPageNumber, setRes, setRTL, setTextAlpha`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### run

    public void run()

  threads must run, this one runs the process in Gpickle sends generated page to observer. one page per request
  Specified by:
    `run` in interface `java.lang.Runnable`

### startProduction

    public void startProduction(int pageNumber)

  if not generating then start generated requested page if already generating remember last request and return

### busy

    public boolean busy()